Skip to main content
`Ctrl`+`K`

# DMLabelSetStratumBounds

Efficiently give a contiguous set of points a given label value

## Synopsis

    #include "petscdmlabel.h"
    #include "petscsection.h"
    PetscErrorCode DMLabelSetStratumBounds(DMLabel label, PetscInt value, PetscInt pStart, PetscInt pEnd)

Not Collective

## Input Parameters

- label - The `DMLabel`

- value - The label value for all points

- pStart - The first point

- pEnd - A point beyond all marked points

## Note

The marks points are [`pStart`, `pEnd`), and only the bounds are stored.

## See Also

`DMLabel`, `DM`, `DMLabelCreate()`, `DMLabelSetStratumIS()`, `DMLabelGetStratumIS()`

## Level

intermediate

## Location

src/dm/label/dmlabel.c

Index of all DMLabel routines
Table of Contents for all manual pages
Index of all manual pages